## ros-melodic-mir-driver 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(mir_driver)

find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  diagnostic_msgs
  dynamic_reconfigure
  geometry_msgs
  mir_actions
  mir_msgs
  move_base_msgs
  nav_msgs
  rosgraph_msgs
  roslaunch
  rospy
  rospy_message_converter
  sensor_msgs
  std_msgs
  tf
  visualization_msgs
)

catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    diagnostic_msgs
    dynamic_reconfigure
    geometry_msgs
    mir_actions
    mir_msgs
    move_base_msgs
    nav_msgs
    rosgraph_msgs
    rospy_message_converter
    sensor_msgs
    std_msgs
    tf
    visualization_msgs
)

#############
## Install ##
#############

catkin_install_python(PROGRAMS
  nodes/fake_mir_joint_publisher.py
  nodes/mir_bridge.py
  nodes/rep117_filter.py
  nodes/tf_remove_child_frames.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-melodic-mir-driver (1.0.6-1stretch) stretch; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.5-1stretch) stretch; urgency=high

  * Add optional prefix parameter to fake_mir_joint_publisher (#47 <https://github.com/dfki-ric/mir_robot/issues/47>)
  * tf_remove_child_frames: Don't publish empty TFs
  * Add sdc21x0 package, MC/currents topic
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.4-1stretch) stretch; urgency=high

  * Remove garbage file
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-driver (1.0.3-1stretch) stretch; urgency=high

  * Make disable_map work with MiR software 2.0
    See #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * mir_driver: Optionally disable the map topic + TF frame (#6 <https://github.com/dfki-ric/mir_robot/issues/6>)
    This is useful when running one's own SLAM / localization nodes.
    Fixes #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * Split scan_rep117 topic into two separate topics
    This fixes the problem that the back laser scanner was ignored in the
    navigation costmap in Gazebo (probably because in Gazebo, both laser
    scanners have the exact same timestamp).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-driver (1.0.2-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.1-1stretch) stretch; urgency=high

  * mir_driver: Remove leading slashes in TF frames
  * mir_driver: Install launch directory
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.0-1stretch) stretch; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mir-driver
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python-websocket, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mir-actions, ros-melodic-mir-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-rosgraph-msgs, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-rospy-message-converter, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-melodic-mir-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-websocket, ros-melodic-actionlib-msgs, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mir-actions, ros-melodic-mir-description, ros-melodic-mir-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-robot-state-publisher, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-rospy-message-converter, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: A reverse ROS bridge for the MiR100 robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mir-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mir-driver 1.0.8

=== debian/changelog ===
ros-melodic-mir-driver (1.0.8-1bionic) bionic; urgency=high

  * Merge branch 'melodic-2.8' into melodic
  * Subscribe to move_base_simple/goal in relative namespace
  * Use absolute topics for /tf, /tf_static, /map etc.
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Fix handling of tf_static topic
    This does two things:
    1. Make the tf_static topic latched.
    2. Cache all transforms, publish as one message.
  * Increase queue_size for publishers + subscribers to 10
    One case where this was a problem was the tf_static topic: Since
    multiple messages are being published at once, the subscriber often
    missed one. The tf_static topic will be fixed anyway in the next commit,
    but let's increase the queue_size anyway to avoid such bugs in the
    future.
  * Fix type warning
  * Update topic list to 2.8.3.1
  * Reformat python code using black
  * Remove outdated topics
    These topics don't exist on MiR software 2.8.3 any more (most of them
    have been removed a long time ago).
    Fixes #37 <https://github.com/dfki-ric/mir_robot/issues/37>.
  * Remove MirStatus
    This message was removed in MiR software 2.0 (Renamed to RobotStatus).
  * Use same MirMoveBase params as real MiR (2.8.3)
    This shouldn't make a difference (it used to work before). Just removing
    one more potential source of error.
  * Fix: Converts move_base_simple/goal into a move_base action. (#62 <https://github.com/dfki-ric/mir_robot/issues/62>)
    At least MIR software version 2.8 does not react properly to move_base_simple/goal messages. This implements a workaround.
    Closes #60 <https://github.com/dfki-ric/mir_robot/issues/60>.
  * Fix: Adds subscription to "tf_static". (#58 <https://github.com/dfki-ric/mir_robot/issues/58>)
    Some transformations are published on this topic and are needed to
    obtain a full tf tree. E.g. "base_footprint" to "base_link"
  * Minor: Removes /particlecloud from the list of published topics. (#57 <https://github.com/dfki-ric/mir_robot/issues/57>)
  * Fix: Add missing dict_filter keyword argument for cmd_vel msgs (#56 <https://github.com/dfki-ric/mir_robot/issues/56>)
  * Remove relative_move_action (MiR => 2.4.0)
    This action was merged into the generic MirMoveBaseAction in MiR
    software 2.4.0.
  * Adjust to changed MirMoveBase action (MiR >= 2.4.0)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Adjust cmd_vel topic to TwistStamped (MiR >= 2.7)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Contributors: Martin Günther, matthias-mayr

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-melodic-mir-driver (1.0.7-1bionic) bionic; urgency=high

  * Fix subscribing twice to same topic (TF etc)
    There was a flaw in the subscriber logic that caused the mir_bridge to
    subscribe multiple times to the same topic from the MiR, especially for
    latched topics. This can be seen by repeated lines in the output:
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    Probably related to #64 <https://github.com/dfki-ric/mir_robot/issues/64>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-mir-driver (1.0.6-1bionic) bionic; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.5-1bionic) bionic; urgency=high

  * Add optional prefix parameter to fake_mir_joint_publisher (#47 <https://github.com/dfki-ric/mir_robot/issues/47>)
  * tf_remove_child_frames: Don't publish empty TFs
  * Add sdc21x0 package, MC/currents topic
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.4-1bionic) bionic; urgency=high

  * Remove garbage file
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-driver (1.0.3-1bionic) bionic; urgency=high

  * Make disable_map work with MiR software 2.0
    See #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * mir_driver: Optionally disable the map topic + TF frame (#6 <https://github.com/dfki-ric/mir_robot/issues/6>)
    This is useful when running one's own SLAM / localization nodes.
    Fixes #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * Split scan_rep117 topic into two separate topics
    This fixes the problem that the back laser scanner was ignored in the
    navigation costmap in Gazebo (probably because in Gazebo, both laser
    scanners have the exact same timestamp).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-driver (1.0.2-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.1-1bionic) bionic; urgency=high

  * mir_driver: Remove leading slashes in TF frames
  * mir_driver: Install launch directory
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000
